<?php

/**
 * Implementation of hook_views_data().
 */
function mappingkit_views_data() {
  
  $data = array(
    'mappingkit_node_location' => array(
      'table' => array(
        'group' => t('Mapping')
        , 'join' => array(
          'node' => array(
            'left_field' => 'vid'
            , 'field' => 'vid'
            )
          )
        )
      // individual fields
      , 'x' => array(
        'title' => t('X')
        , 'help' => t('X coordinate or longitude')
        , 'field' => array(
          'handler' => 'views_handler_field_numeric'
          , 'click sortable' => TRUE
          )
        )
      , 'y' => array(
        'title' => t('Y')
        , 'help' => t('Y coordinate or latitude')
        , 'field' => array(
          'handler' => 'views_handler_field_numeric'
          , 'click sortable' => TRUE
          )
        )
      , 'srid' => array(
        'title' => t('SRID')
        , 'help' => t('Spatial reference system id')
        , 'field' => array(
          'handler' => 'views_handler_field_numeric'
          , 'click sortable' => TRUE
          )
        )
      /*
      , 'location' => array(
        'title' => t('Location')
        , 'help' => t('Location as coordinate pair and spatial reference system')
        , 'field' => array(
          'handler' => 'views_handler_field'
          , 'click sortable' => TRUE
          )
        ) */
      )
    );
  
  return $data;
}
