<?php

/**
 * Generate form for java map client settings.
 * @return Form.
 */
function javaclient_settings_form() {
  $form['javaclient'] = array(
    '#type' => 'fieldset'
    , '#title' => t('Java client')
    , '#collapsible' => TRUE
    );
  
  $form['javaclient']['javaclient_class'] = array('#type' => 'textfield'
    , '#title' => t('JavaClient class')
    , '#default_value' => variable_get('javaclient_class', DEFAULT_JAVACLIENT_CLASS)
    , '#description' => t('JavaClient class')
    );
  
  $form['javaclient']['javaclient_archive_path'] = array('#type' => 'textfield'
    , '#title' => t('Applet archive')
    , '#default_value' => variable_get('javaclient_archive_path', DEFAULT_JAVACLIENT_ARCHIVE_PATH)
    , '#description' => t('Path to the java applet.')
    );
  
  return system_settings_form($form);
}
