<?php

function javaclient_init_header() {
}

function javaclient_render_body(&$attrs) {
  $output = '';
  
  // class: map-block + extra class parameter
  
  // open outer block
  $output .= mapclient_common_open_outer_block($attrs);
  
  // open map block
  $output .= mapclient_common_open_map_block($attrs, array('class' => 'mapclient'));
  
  // Make list of params for applets, both from map
  // attributes and proxy and base url
  global $base_url;
  $params = '';
  foreach ($attrs as $name => $value) {
    if (!is_array($value)) {
      $params .= '<param name="' . $name . '" value="' . $value . '"/>';
    }
  }
  $params .= '<param name="proxy" value="' . mapclient_get_url(variable_get('mapclient_proxy', 'proxy.php'), TRUE) . '?url=" />';
  //$params .= '<param name="basepath" value="' . base_path() . '" />';
  $params .= '<param name="baseurl" value="' . $base_url . '" />';
  
  // TODO: path to logo in case of old java runtime
  $logo_path = 'mappingkit-logo.png';
  
  $output .= '
<!--[if !IE]> Firefox and others will use this object -->
<object classid="java:' . javaclient_get_class_name() . '" 
  type="application/x-java-applet"
  name="' . $attrs['id'] . '"
  id="' . $attrs['id'] . '-applet"
  archive="' . javaclient_get_archive_path() . '"
  height="' . $attrs['height'] . '" width="' . $attrs['width'] . '" mayscript="true">
  <param name="code" value="' . javaclient_get_class_name() . '" />
  <!-- Konqueror browser needs the following param -->
  <param name="archive" value="' . javaclient_get_archive_path() . '" />
  <param name="persistState" value="false" />
  ' . $params . '
  <center>
    <img src="' . $logo_path . '" />
    <p><strong>This content requires Java 6 (1.6) or higher, which your browser does not appear to have.</strong></p>
    <p><a href="http://www.java.com/en/download/index.jsp">Get the latest Java Plug-in.</a></p>
  </center>
</object>
<!--<![endif]-->
<!--[if IE]>
<object classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93" 
  name="' . $attrs['id'] . '"
  id="' . $attrs['id'] . '-applet"
  codebase="http://java.sun.com/update/1.6.0/jinstall-6-windows-i586.cab"
  height="' . $attrs['height'] . '" width="' . $attrs['width'] . '" mayscript="true">
  <param name="code" value="' . javaclient_get_class_name() . '" />
  <param name="archive" value="' . javaclient_get_archive_path() . '" />
  <param name="persistState" value="false" />
  ' . $params . '
  <center>
    <img src="' . $logo_path . '" />
    <p><strong>This content requires Java 6 (1.6) or higher, which your browser does not appear to have.</strong></p>
    <p><a href="http://www.java.com/en/download/index.jsp">Get the latest Java Plug-in.</a></p>
  </center>
</object>
<![endif]-->';

  // close map block
  $output .= mapclient_common_close_map_block();
  
  // render controls
  $output .= mapclient_common_render_controls($attrs);
  
  // close  block
  $output .= mapclient_common_close_outer_block();
  
  //drupal_set_message('render body: ' . var_export($attrs, true));
  return $output;
}

function javaclient_finish($map_count) {
}

