<?php

function map2pdf_settings_form() {
  $form['map2pdf'] = array(
    '#type' => 'fieldset'
    , '#title' => t('Map to pdf')
    , '#collapsible' => TRUE
    );
  
  $form['map2pdf']['map2pdf_creator'] = array('#type' => 'textfield'
    , '#title' => t('Map creator')
    , '#default_value' => variable_get('map2pdf_creator', t(DEFAULT_MAP2PDF_CREATOR))
    );
  
  $form['map2pdf']['map2pdf_paper_format'] = array('#type' => 'select'
    , '#title' => t('Paper format')
    , '#options' => array('A3' => t('A3'), 'A4' => t('A4'), 'A5' => t('A5'))
    , '#default_value' => variable_get('map2pdf_paper_format', DEFAULT_MAP2PDF_PAPER_FORMAT)
    );
  
  $form['map2pdf']['map2pdf_paper_orientation'] = array('#type' => 'select'
    , '#title' => t('Orientation')
    , '#options' => array('P' => t('Portrait'), 'L' => t('Landscape'))
    , '#default_value' => variable_get('map2pdf_paper_orientation', DEFAULT_MAP2PDF_PAPER_ORIENTATION)
    );
  
  return system_settings_form($form);
}

