
MappingKit.Format = MappingKit.Format || {};

MappingKit.Format.GeoRSS = OpenLayers.Class(OpenLayers.Format.GeoRSS, {
  
  initialize: function() {
    OpenLayers.Format.GeoRSS.prototype.initialize.apply(this, arguments);
  },
  
  createFeatureFromItem: function(item) {
    var feature = OpenLayers.Format.GeoRSS.prototype.createFeatureFromItem.apply(this, arguments);
    
    // try pubDate for RSS item
    var pubDate = this.getChildValue(item, '*', 'pubDate');
    if (pubDate) {
      feature.attributes.pubDate = pubDate;
    }
    
    // try thumbnail for RSS item
    var thumbnails = this.getElementsByTagNameNS(item, "*", "thumbnail");
    if (thumbnails && thumbnails.length > 0) {
      feature.attributes.thumbnail = thumbnails[0].getAttribute('url');
      if (!feature.attributes.thumbnail) {
        feature.attributes.thumbnail = thumbnails[0].textContent;
      }
    }
    
    return feature;
  },
  
  CLASS_NAME: 'MappingKit.Format.GeoRSS'
});
